<?php
#BEGIN_LICENSE
#-------------------------------------------------------------------------
# Module: CGSmartImage (c) 2016 by Robert Campbell (calguy1000@cmsmadesimple.org)
#
#  An addon module for CMS Made Simple to allow creating image tags in a smart
#  way to optimize performance.
#
#-------------------------------------------------------------------------
# CMS - CMS Made Simple is (c) 2005-2010 by Ted Kulp (wishy@cmsmadesimple.org)
# This project's homepage is: http://www.cmsmadesimple.org
#
#-------------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# However, as a special exception to the GPL, this software is distributed
# as an addon module to CMS Made Simple.  You may not use this software
# in any Non GPL version of CMS Made simple, or in any version of CMS
# Made simple that does not indicate clearly and obviously in its admin
# section that the site was built with CMS Made simple.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
# Or read it online: http://www.gnu.org/licenses/licenses.html#GPL
#
#-------------------------------------------------------------------------
#END_LICENSE
if( !isset($gCms) ) exit;
if( !$this->CheckPermission('Modify Site Preferences') ) return;
$this->SetCurrentTab('autoprocessing');

if( isset($params['submit']) ) {
    $prefs = \CGSmartImage\autoprocess_options::load();
    $prefs->enabled = \cge_param::get_int($params,'ap_enabled');
    $prefs->ignore_extensions = \cge_param::get_string($params,'ap_ignore_extensions');
    $prefs->ignore_dirs = \cge_param::get_string($params,'ap_ignore_dirs');
    $prefs->include_dirs = \cge_param::get_string($params,'ap_include_dirs');
    $prefs->max_size = \cge_param::get_int($params,'ap_max_size');
    $prefs->autorotate = \cge_param::get_int($params,'ap_autorotate');
    $prefs->watermark = \cge_param::get_int($params,'ap_watermark');
    $prefs->save();
    $this->SetMessage($this->Lang('msg_prefsupdated'));
}
else if( isset($params['begin_autoprocess']) ) {
    $obj = new \CGSmartImage\AutoProcessMasterTask();
    $obj->force();
    if( !$obj->test() ) {
        $this->SetError($this->Lang('msg_tasknotready'));
     } else {
        $obj->execute();
    }
}

$this->RedirectToTab();